/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package action;

import domen.Mesto;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.servlet.http.HttpServletRequest;

/**
 *
 * @author student1
 */
public class ActionSacuvajMesto implements Action {

    @Override
    public String obradiZahtev(HttpServletRequest request) {
        String strana = null;
        if (request.getMethod().equalsIgnoreCase("GET")) {
            strana = "/WEB-INF/unos_novog_mesta.jsp";
        }
        if (request.getMethod().equalsIgnoreCase("POST")) {
            String sPtt = request.getParameter("txt_ptt");
            String naziv = request.getParameter("txt_naziv");
            long ptt = Long.parseLong(sPtt);
            Mesto m = new Mesto(ptt, naziv);
//            MestoCollection.getInstanse().sacuvajMesto(m);
//            List<Mesto> listaMesta = MestoCollection.getInstanse().vratiSvaMesta();
//            request.setAttribute("kolekcijaMesta", listaMesta);
            EntityManagerFactory emf
                    = Persistence.createEntityManagerFactory("WebPoslovniPartnerPU");
            EntityManager em = emf.createEntityManager();
            Mesto db_m = em.find(Mesto.class, ptt);
            em.getTransaction().begin();
            if (db_m == null) {
                em.persist(m);
            } else {
                em.merge(m);
            }
            em.getTransaction().commit();
            List<Mesto> listaMesta = em.createQuery("SELECT m FROM Mesto m ORDER BY m.naziv").getResultList();
            em.close();
            emf.close();
            request.setAttribute("kolekcijaMesta", listaMesta);
            strana = "/WEB-INF/sva_mesta.jsp";
        }

        return strana;
    }

}
